gui.hide(rpgm.step("main", "inputs"), "freqvar")
gui.hide(rpgm.step("main", "inputs"), "Rgraph")
gui.hide(rpgm.step("main", "inputs"), "plotlygraph")

RChange_Distr <- function()
{
    if(freqdistr == "pois")
        gui.hide("this", "freqvar")
    if(freqdistr == "nbinom")
        gui.show("this", "freqvar")
}

Simulation <- function()
{
    if(freqdistr == "pois")
    {
        N <- rpois(n, freqmean)
    }
    if(freqdistr == "nbinom")
    {
        N <- rnbinom(n, freqmean^2/(freqvar - freqmean), , freqmean)
    }
    
    #R graphic
    png(rpgm.outputFile("graph.png"), width = 720, height=720)
        hist(N, col = "lightblue")
    dev.off()
    gui.setValue("this", "Rgraph", rpgm.outputFile("graph.png"))
    
    #Plotly Graphic, transposing into R https://plot.ly/javascript/histograms/
    data <- list(x = N, type = "histogram")
    plotlygraph <- list(data)
    gui.setValue("this", "plotlygraph", plotlygraph)
    gui.show("this", "Rgraph")
    gui.show("this", "plotlygraph")
}
